Post feature RSS Known Issues and Troubleshooting.

Every known bug and issue with possible solutions.

Posted by on

1. Skins Crashing the Game

The following skin options have been known to cause the game to crash for some players, especially when using a side mod:

  • 212th Attack Battalion
  • 327th Star Corps
  • 41st Jungle Camo
  • Phase 1 troopers
  • Phase 1.5 troopers
  • Galactic marines
  • Phase 1 Snowtroopers
  • Imperial Snowtroopers

The cause of this issue is currently unknown. However, as stated above, it most often occurred when using a side mod. Turning on V-sync has been known to prevent crashing, but not all the time.

Possible Solutions

  1. Try using it without any side mods installed.
  2. Try using an ENB like this one: Moddb.com
  3. Try using the Lite version of the mod.
  4. Try turning on V-sync.
  5. For 212th Battalion and 327th Corps (Thanks to Greeny and a guest for finding this!):

A guest said:

212th
Step 1 : Download the skinchanger beta and the skinchanger 0.5.5
Step 2 : Copy the 212.lvl folder in the Skinchanger folder (beta)
Step 3 : Paste the 212.lvl folder in the skinchanger folder (0.5.5)
Step 4 : Put the folders userscript11.lvl and skinchanger from the skinchanger mod 0.5.5 to Star wars battlefront II/game data/data/lvl pc

Now you can play with the 212th !

327th
Step 1 : Download Notepad ++, the skin changer beta and the skinchanger 0.5.5
Step 2 : Open with Notepad ++ the userscript11.lvl from the 0.5.5 AND the beta
Step 3 : In the line of the 327th (beta) - (you can see rep_inf_327th_rifleman) and in the line of the 327th (0.5.5) you can see differences : copy and paste some words to get the line of the 327th from the usecript11.lvl (beta) in the userscript11.lvl (0.5.5).
Step 4 : Copy the 327.lvl folder in the Skinchanger folder (beta)
Step 5 : Paste the 327.lvl folder in the skinchanger folder (0.5.5)
Step 6 : Put the folders userscript11.lvl and skinchanger from the skinchanger mod 0.5.5 to Star wars battlefront II/game data/data/lvl pc

Now you can play with the 327th !

2. Skin Changer options not appearing in the Fake Console

This is most likely means one of two things:

  1. You installed the wrong version of the v1.3 patch. The correct version can be found here: Mediafire.com
  2. You installed the mod in the wrong place. Please refer to the instructions here: Moddb.com
Comments
Mengu
Mengu - - 1,144 comments

I play with Battlefront Evolved mod installed and I noticed the skin changer crashes the game when switching to those with custom models. The plain white troopers for example work well because they only change skins, the 212th however crashes because it involves changing some models. All those in the list above crash because there are model changes, or so I believe.

Reply Good karma Bad karma+1 vote
RayceSkykiller Author
RayceSkykiller - - 694 comments

Yeah, I noticed that, too.

Reply Good karma+2 votes
TheTeflonWeasel1
TheTeflonWeasel1 - - 1 comments

Hey dude just wanted to let you know that i love this mod and it has actually effected how i play the game! I love loading up the campaign and choosing each clone legion that belongs to each world (or each canon legion of clones that fought on each planet, galactic marines on mygeeto and 212th on utapau and etc.)
I also wanted to let you know that I didnt have any problems with my game crashing with the Galactic Marines for some reason.

Reply Good karma Bad karma+3 votes
Guest
Guest - - 693,177 comments

vsynch helps preventing crashes but only sometimes

Reply Good karma Bad karma0 votes
RayceSkykiller Author
RayceSkykiller - - 694 comments

Good to know. Thanks.

Reply Good karma+1 vote
dragondelta90
dragondelta90 - - 2 comments

i tried all of these and it still crashes when i click on 1.5 troopers or the snowtroopers phase 1

Reply Good karma Bad karma+1 vote
RayceSkykiller Author
RayceSkykiller - - 694 comments

I'll try and see if I can find another solution, then.

Reply Good karma+1 vote
NukaNooblet2077
NukaNooblet2077 - - 1 comments

CommanderAwesome this mod loooks sooo fun i wish i could play it so much. I have tried everything at least 3 times. I downloaded the mod from here, and came to here to download the patch. I then unloaded them in my lvl pc file, and finally ran the patch. I have the console but no skins. Please help i really want to play this!

Reply Good karma Bad karma+1 vote
RayceSkykiller Author
RayceSkykiller - - 694 comments

You downloaded the version of the patch provided in the link, yes?

Reply Good karma+1 vote
God_Emperor_
God_Emperor_ - - 91 comments

I don't know if someone else has said this, but, the Jungle Camo skins for the Rebels cause my game to crash.

Reply Good karma Bad karma+1 vote
jjlaupixie
jjlaupixie - - 4 comments

Of course. You ever gonna update this mod so that we can play with skins like the 327th?

Reply Good karma Bad karma+1 vote
RayceSkykiller Author
RayceSkykiller - - 694 comments

You already can, you just have to use the stock sides. As the article states, I don't yet know a solution to this problem. There may not be one, unfortunately.

Reply Good karma+1 vote
Guest
Guest - - 693,177 comments

This comment is currently awaiting admin approval, join now to view.

Guest
Guest - - 693,177 comments

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.